package com.ym.mec.biz.dal.enums;

import com.sun.org.apache.xpath.internal.operations.Bool;
import com.ym.mec.common.enums.BaseEnum;

/**
 * @Author Joburgess
 * @Date 2021/1/8 0008
 **/
public enum IndexDataType implements BaseEnum<String, IndexDataType> {
    //学员数据类型
    STUDENT_REGISTRATION_NUM("STUDENT_REGISTRATION_NUM", "注册学员", false, false),
    CHARGE_STUDENT_CHANGE_RATE("CHARGE_STUDENT_CHANGE_RATE", "付费转化率", true, false),
    ACTIVATION_RATE("ACTIVATION_RATE","激活率", true, false),

    //运营数据类型
    SCHOOL("SCHOOL","合作单位", false, false),
    PROGRESS_MUSIC_GROUP_NUM("PROGRESS_MUSIC_GROUP_NUM","进行中乐团", false, false),
    TRANSACTION_TEACHER_NUM("TRANSACTION_TEACHER_NUM", "衔接老师人数", false, false),

    //人事数据
    TEACHER_NUM("TEACHER_NUM","老师总数", false, false),
    FULL_TIME_NUM("FULL_TIME_NUM","全职人数", false, false),
    PART_TIME_NUM("PART_TIME_NUM","兼职人数", false, false),

    DIMISSION_NUM("DIMISSION_NUM","离职人数", false, false),

    //剩余课时
    SURPLUS_COURSE_NUM("SURPLUS_COURSE_NUM", "剩余课时总数", false, false),
    SURPLUS_MUSIC_COURSE_NUM("SURPLUS_MUSIC_COURSE_NUM", "剩余乐团课时", false, false),
    SURPLUS_VIP_COURSE_NUM("SURPLUS_VIP_COURSE_NUM", "剩余VIP课时", false, false),
    SURPLUS_PRACTICE_COURSE_NUM("SURPLUS_PRACTICE_COURSE_NUM", "剩余网管课时", false, false),

    //已消耗课时
    OVER_COURSE_NUM("OVER_COURSE_NUM", "已消耗课时总数", false, false),
    OVER_MUSIC_COURSE_NUM("OVER_MUSIC_COURSE_NUM", "已消耗乐团课时", false, false),
    OVER_VIP_COURSE_NUM("OVER_VIP_COURSE_NUM", "已消耗VIP课时", false, false),
    OVER_PRACTICE_COURSE_NUM("OVER_PRACTICE_COURSE_NUM", "已消耗网管课时", false, false),

    //经营数据
    FINANCE_PAY("FINANCE_PAY","财务支出", false, false),
    FINANCE_BALANCE_AMOUNT("FINANCE_BALANCE_AMOUNT","余额收入", false, false),
    FINANCE_AMOUNT("FINANCE_AMOUNT","现金收入", false, false),
    TOTAL_AMOUNT("TOTAL_AMOUNT","总收入", false, false),

    //业务数据
    HOMEWORK_CREATE_RATE("HOMEWORK_CREATE_RATE","作业布置率", true, true),
    HOMEWORK_SUBMIT_RATE("HOMEWORK_SUBMIT_RATE","作业提交率", true, true),
    HOMEWORK_COMMENT_RATE("HOMEWORK_COMMENT_RATE","作业点评率", true, true),

    //课程数据
    MUSIC_GROUP_COURSE("MUSIC_GROUP_COURSE","乐团课", false, true),
    VIP_GROUP_COURSE("VIP_GROUP_COURSE","VIP课", false, true),
    VIP_GROUP_ONLINE_COURSE("VIP_GROUP_ONLINE_COURSE","VIP线上课", false, true),
    VIP_GROUP_OFFLINE_COURSE("VIP_GROUP_OFFLINE_COURSE","VIP线下课", false, true),
    PRACTICE_GROUP_COURSE("PRACTICE_GROUP_COURSE","网管课", false, true),

    //学员变动
    ADD_STUDENT_REGISTRATION_NUM("ADD_STUDENT_REGISTRATION_NUM", "新增注册学员", false, true),
    MUSIC_GROUP_STUDENT("MUSIC_GROUP_STUDENT","乐团在读学员", false, false),
    NEWLY_STUDENT_NUM("NEWLY_STUDENT_NUM","乐团新增学员", false, true),
    QUIT_MUSIC_GROUP_STUDENT_NUM("QUIT_MUSIC_GROUP_STUDENT_NUM","退团学员", false, true),
    VIP_PRACTICE_STUDENT_NUM("VIP_PRACTICE_STUDENT_NUM", "VIP/网管在读", false, false),
    VIP_PRACTICE_ADD_STUDENT_NUM("VIP_PRACTICE_ADD_STUDENT_NUM", "VIP/网管新增", false, true),
    ;

    private String code;

    private String msg;

    private Boolean percent;

    private Boolean collect;

    IndexDataType(String code, String msg, Boolean percent, Boolean collect) {
        this.code = code;
        this.msg = msg;
        this.percent = percent;
        this.collect = collect;
    }

    @Override
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public Boolean getCollect() {
        return collect;
    }

    public void setCollect(Boolean collect) {
        this.collect = collect;
    }

    public Boolean getPercent() {
        return percent;
    }

    public void setPercent(Boolean percent) {
        this.percent = percent;
    }
}
